#ifndef TARTSTOREMANAGER_H
#define TARTSTOREMANAGER_H

#include "TList.h"
#include "TNamed.h"
#include "TTree.h"
#include "TClonesArray.h"

#include "TArtRawEventObject.h"

class TArtStoreManager  {

protected:
 
  TList * listOfParameters;
  TList * listOfDataContainers;

  TArtStoreManager();
  static TArtStoreManager* sStoreManager;

public:
  static TArtStoreManager* Instance();
  virtual ~TArtStoreManager();

  virtual void AddParameters(TNamed *obj);
  virtual void AddDataContainer(TArtRawEventObject *obj);
  virtual void AddDataContainer(TClonesArray *obj);
  virtual void LoadDataFromTree(TTree *tree);

  virtual TNamed * FindParameters(char* name){
    return (TNamed *)listOfParameters->FindObject(name);}
  virtual TNamed * FindDataContainer(char* name){
    return (TNamed *)listOfDataContainers->FindObject(name);}

  ClassDef(TArtStoreManager,1);

};

#endif // end of #ifdef TARTMAPPER_H
